Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class WeakHashtable

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--oracle.jbo.common.WeakHashtable

public class WeakHashtable
extends java.util.Dictionary

Internal: Applications should not use this class.

...

See Also:
  `...`

Constructor Summary
`WeakHashtable()`
`WeakHashtable(int initialCapacity)`
`WeakHashtable(int initialCapacity, float loadFactor)` public static void main(String argv[]) { WeakHashtable tab0 = new WeakHashtable(); WeakHashtable tab1 = new WeakHashtable(20); WeakHashtable tab2 = new WeakHashtable(20, 7.2f); System.out.println("tab0 (" + tab0.getClass().getName() + ") " + tab0); System.out.println("tab1 (" + tab1.getClass().getName() + ") " + tab1); System.out.println("tab2 (" + tab2.getClass().getName() + ") " + tab2); }

Method Summary
`void` | `clear()`
`java.util.Enumeration` | `elements()`
`java.lang.Object` | `get(java.lang.Object key)`
`boolean` | `isEmpty()`
`java.util.Enumeration` | `keys()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakHashtable

    public WeakHashtable(int initialCapacity,
                         float loadFactor)

  public static void main(String argv[]) { WeakHashtable tab0 = new WeakHashtable(); WeakHashtable tab1 = new WeakHashtable(20); WeakHashtable tab2 = new WeakHashtable(20, 7.2f); System.out.println("tab0 (" + tab0.getClass().getName() + ") " + tab0); System.out.println("tab1 (" + tab1.getClass().getName() + ") " + tab1); System.out.println("tab2 (" + tab2.getClass().getName() + ") " + tab2); }

### WeakHashtable

    public WeakHashtable(int initialCapacity)

### WeakHashtable

    public WeakHashtable()

Method Detail

### size

    public int size()

  Overrides:
    size in class java.util.Dictionary

### isEmpty

    public boolean isEmpty()

  Overrides:
    isEmpty in class java.util.Dictionary

### keys

    public java.util.Enumeration keys()

  Overrides:
    keys in class java.util.Dictionary

### elements

    public java.util.Enumeration elements()

  Overrides:
    elements in class java.util.Dictionary

### get

    public java.lang.Object get(java.lang.Object key)

  Overrides:
    get in class java.util.Dictionary

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Overrides:
    put in class java.util.Dictionary

### remove

    public java.lang.Object remove(java.lang.Object key)

  Overrides:
    remove in class java.util.Dictionary

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD